Bug 514486 - crashes thunderbird at _cairo_hash_table_destroy
crashes thunderbird at _cairo_hash_table_destroy
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: cairo (Show other bugs)
11
All Linux
low Severity medium
: ---
: ---
Assigned To: Behdad Esfahbod
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-07-29 06:43 EDT by Martin Stransky
Modified: 2010-06-28 09:54 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-06-28 09:54:26 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Martin Stransky 2009-07-29 06:43:27 EDT
Description of problem:

When thunderbird exits, cairo hangs at _cairo_hash_table_destroy():

192	void
193	_cairo_hash_table_destroy (cairo_hash_table_t *hash_table)
194	{
195	    if (hash_table == NULL)
196		return;
197	
198	    /* The hash table must be empty. Otherwise, halt. */
(gdb) 
199	    assert (hash_table->live_entries == 0);
200	    /* No iterators can be running. Otherwise, halt. */
201	    assert (hash_table->iterating == 0);
202	
203	    free (hash_table->entries);
204	    hash_table->entries = NULL;
205	
206	    free (hash_table);
207	}

199	    assert (hash_table->live_entries == 0);

(gdb) p hash_table->live_entries
$2 = 5

(gdb) bt
#0  0x00000030ad8332f5 in raise () from /lib64/libc.so.6
#1  0x00000030ad834b20 in abort () from /lib64/libc.so.6
#2  0x00000030ad82c2fa in __assert_fail () from /lib64/libc.so.6
#3  0x00007ffff76f7001 in _cairo_hash_table_destroy (hash_table=0x7ffff0f55850) at cairo-hash.c:199
#4  0x00007ffff7708339 in _cairo_scaled_font_map_destroy () at cairo-scaled-font.c:392
#5  0x00007ffff76f2a79 in _cairo_font_face_reset_static_data () at cairo-font-face.c:767
#6  0x00007ffff76f28a9 in cairo_debug_reset_static_data () at cairo-debug.c:64
#7  0x0000003ba3e28349 in MOZ_gdk_display_close (display=0x7ffff7374170)
    at /usr/src/debug/thunderbird-3.0/mozilla/toolkit/xre/nsAppRunner.cpp:2474
#8  0x0000003ba3e2b007 in XRE_main (argc=1, argv=0x7fffffffdfc8, aAppData=0x7ffff730a080)
    at /usr/src/debug/thunderbird-3.0/mozilla/toolkit/xre/nsAppRunner.cpp:3410
#9  0x0000000000401a86 in main (argc=1, argv=0x7fffffffdfc8) at /usr/src/debug/thunderbird-3.0/mail/app/nsMailApp.cpp:103

Version-Release number of selected component (if applicable):
cairo-1.8.8-1.fc11.x86_64
thunderbird-3.0-2.5.b3.fc11.x86_64

How reproducible:
Always

Steps to Reproduce:
1. build thunderbird 3.0b3 on F11
2. run it and exit
3. see the hang
  
Additional info:
Comment 1 Bug Zapper 2010-04-28 05:26:44 EDT
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Bug Zapper 2010-06-28 09:54:26 EDT
Fedora 11 changed to end-of-life (EOL) status on 2010-06-25. Fedora 11 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.